AWSTemplateFormatVersion: 2010-09-09
Transform: AWS::Serverless-2016-10-31

Globals:
  Function:
    Runtime: python3.13

Resources:
  LayercakeLayer:
    Type: AWS::Serverless::LayerVersion
    Properties:
      LayerName: layercake
      ContentUri: .
      CompatibleArchitectures:
        - x86_64
      CompatibleRuntimes:
        - python3.12
        - python3.13
      RetentionPolicy: Delete
    Metadata:
      BuildMethod: python3.13
      BuildArchitecture: x86_64

Outputs:
  LayercakeLayerArn:
    Value: !Ref LayercakeLayer
